## kanban 0.5-1

=== src/CMakeLists.txt ===
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(tests)

set(kanban_SRCS tasks.cpp main.cpp tasksmodel.cpp tasksview.cpp taskslistmerge.cpp mergedialog.cpp listsmanagement.cpp)
qt4_automoc(${kanban_SRCS})

add_executable(kanban ${kanban_SRCS})
target_link_libraries(kanban ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})

install(TARGETS kanban RUNTIME DESTINATION bin)
install(FILES kanban.desktop DESTINATION share/applications/hildon )

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Apr 20 23:13:14 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_mergedialog.cpp \
		moc_tasks.cpp \
		moc_tasksmodel.cpp \
		moc_tasksview.cpp
OBJECTS       = moc_mergedialog.o \
		moc_tasks.o \
		moc_tasksmodel.o \
		moc_tasksview.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = src
DESTDIR       = 
TARGET        = src

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/src1.0.0 || $(MKDIR) .tmp/src1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/src1.0.0/ && $(COPY_FILE) --parents listsmanagement.h mergedialog.h tasks.h taskslistmerge.h tasksmodel.h tasksview.h SOURCES += listsmanagement.cpp main.cpp mergedialog.cpp tasks.cpp taskslistmerge.cpp tasksmodel.cpp tasksview.cpp .tmp/src1.0.0/ && (cd `dirname .tmp/src1.0.0` && $(TAR) src1.0.0.tar src1.0.0 && $(COMPRESS) src1.0.0.tar) && $(MOVE) `dirname .tmp/src1.0.0`/src1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/src1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mergedialog.cpp moc_tasks.cpp moc_tasksmodel.cpp moc_tasksview.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mergedialog.cpp moc_tasks.cpp moc_tasksmodel.cpp moc_tasksview.cpp
moc_mergedialog.cpp: mergedialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mergedialog.h -o moc_mergedialog.cpp

moc_tasks.cpp: tasks.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tasks.h -o moc_tasks.cpp

moc_tasksmodel.cpp: tasksmodel.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tasksmodel.h -o moc_tasksmodel.cpp

moc_tasksview.cpp: tasksview.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tasksview.h -o moc_tasksview.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_mergedialog.o: moc_mergedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mergedialog.o moc_mergedialog.cpp

moc_tasks.o: moc_tasks.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tasks.o moc_tasks.cpp

moc_tasksmodel.o: moc_tasksmodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tasksmodel.o moc_tasksmodel.cpp

moc_tasksview.o: moc_tasksview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tasksview.o moc_tasksview.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
set(mergetest_SRCS ../taskslistmerge.cpp ../tasksmodel.cpp mergetaskslisttest.cpp)
qt4_automoc(${mergetest_SRCS})

add_executable(mergetest ${mergetest_SRCS})
target_link_libraries(mergetest ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY})

=== debian/changelog ===
kanban (0.5-1) unstable; urgency=low

  * Initial release for Maemo 5 (N900)

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Tue, 20 Apr 2010 15:17:35 +0200

=== debian/control ===
Source: kanban
Section: user/utilities
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), libqt4-dev (>= 4.6)
Standards-Version: 3.7.2

Package: kanban
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-network (>= 4.6)
Description: TODO list application
 Easy TODO application developed with Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kanban/usr &&  make
	#docbook-to-man debian/kanban.sgml > kanban.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf build
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kanban.
	cd build && make install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kanban 0.5.1-1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,8 @@
 target_link_libraries(kanban ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})
 
 install(TARGETS kanban RUNTIME DESTINATION bin)
-install(FILES kanban.desktop DESTINATION share/applications/hildon )
+install(FILES kanban.desktop DESTINATION share/applications/hildon/)
+
+install(FILES ../icons/26x26/kanban.png DESTINATION share/icons/hicolor/26x26/hildon/)
+install(FILES ../icons/40x40/kanban.png DESTINATION share/icons/hicolor/40x40/hildon/)
+install(FILES ../icons/48x48/kanban.png DESTINATION share/icons/hicolor/48x48/hildon/)

=== debian/changelog ===
kanban (0.5.1-1) unstable; urgency=low

  * Adding icons

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Mon, 28 Jun 2010 22:00:04 +0200

=== debian/control ===
Source: kanban
Section: user/utilities
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-dev (>= 2.6)
Standards-Version: 3.7.2

Package: kanban
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), libqt4-xml (>= 4.6)
Description: A program to keep track of your todo tasks efficiently (just-in-time)
 A program to keep track of your todo tasks efficiently (just-in-time)
XBSC-Bugtracker: mailto:aleixpol@kde.org
XB-Maemo-Display-Name: Kanban
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAvCAYAAAClgknJAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAE6QAABOkBp9SYhAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAPMSURBVGiB7ZpbaBRXGMd/M1kTVk1jKraO
 bm8aiLFpGhtD+qIGmlCLoQkJKEUphUKpNaBioYQ+tGCfWjE2TVoQtKVQMEJu
 5iEJXom9QGtSwdRc0JSIZlFibNzWbS7u6cPJ7maTmc1MsteyP1j4zpnvzPz/
 u+fM7DlnFCEEs1GcigMoA/KAV4CNgG1OYniZAq4D3UAX0Cw0cXt2kjLbgOJU
 3gOOAKkREGkFF/Ch0MTxmZU+A4pT0YDvgaKAZh4Fhp4E95II6ZzGPgnPjYI6
 p4ecA94WmnDCtAHFqSjAWeA1X1pLNnyXDz0a/JMcKdmBLJuAbCe88xuU9sw8
 ch4oFpoQXgP7gWMAjNnhYCm0b4iC4iBs74PqFkhze2sOCE18qTDMeuAaYAfg
 3V3QlhUllfPwRi+cqPeW3MBLKlCCV3x9buyKB6mtPtdbsgMlKrDZl3A6V6dV
 jBGocbOKvNeDUOSAjXV6NKlVkqcCmQDcTgNXSrRkmceVIrVKMlVABWBC50G7
 fgSWTkRKmj6p45AxEljn16qqhg2LBqCzDi7XwtOusOkLygo3nP8GOmvh/Z91
 U4wNrHaBIkB7CDVNMo40n7eC4y8Zr3mom2Js4NQm6HLIeMsg7NX/BsLGzqtQ
 cl3Gj5Lh23zdNGMDUypUVsDf0wP7owuQMxxqmfo8+wA+a/OXP3kd/lypm2ps
 AGAoHap2yHjJY/i6IfyDOskDXzXB8nFZ7tgAP+QZpgc3ANCQA405Ml53Hw63
 h0KmMZU/Qv4tGd9bDofeDJo+vwGQv8KtdBm/1e3vm6Hm5WE4dMlfPlgGo0uD
 NjFnwJUC+8rluAD4ohXWjC1QpQH2SahrAJtHlk8WwMWMeZuZMwDQ9QxUb5Nx
 mhtqG/UmGwvn0w7ZRQEGVsHhYlPNrM1za7bA1kEoGIJXh6D9OAzq3x0s8cS/
 UHhDxpNJsK8Cxs1Js2bgsQqV5fDrMflgy3bKTyg58yL8sdp0uvku5OVOGkwl
 WW5mmoGnLKUvbKnE2/XvpsKe3Qs6RQCFN+Djc4HnNsni1nomkyz93IbM/rdp
 AetdKMZIGIg2CQPRJmEg2iQMRJuEgWgT9wZsgAdQSZ6y3nrZBOy6ungVm+bs
 3QXHr9VjA/qBLBxjch3SygJv+iOobrZ28cWSOg4O33y8X0VuYfpnWGboXhsO
 aZKBVcGPZztnLnN22YArwB5ALuf98vz8F/mgAnb0ypWEUPL7WvjpheA5OwO6
 7JX43yMTmrgJVPmSjp6RO4KxxvY+qc1PldDEzf/HPjHE+U79TOL2XYmAyjh6
 W+U/FWY4Yjv3pVgAAAAASUVORK5CYII=
 ====
XB-Maemo-Upgrade-Description: Added icons

## kanban 0.5.1-2

=== CMakeLists.txt ===
project(kanban)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)

add_subdirectory(src)

=== debian/changelog ===
kanban (0.5.1-2) unstable; urgency=low

  * Missing bugtracker

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Mon, 28 Jun 2010 22:32:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), libqt4-xml (>= 4.6)
 Description: A program to keep track of your todo tasks efficiently (just-in-time)
  A program to keep track of your todo tasks efficiently (just-in-time)
-XBSC-Bugtracker: mailto:aleixpol@kde.org
+XSBC-Bugtracker: mailto:aleixpol@kde.org
 XB-Maemo-Display-Name: Kanban
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAvCAYAAAClgknJAAAABHNCSVQICAgI

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kanban/usr &&  make
+	#$(MAKE)
 	#docbook-to-man debian/kanban.sgml > kanban.1
-
+	mkdir build && cd build && cmake ../ -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kanban/usr && $(MAKE)
 	touch $@
 
 clean:
@@ -57,7 +57,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/kanban.
-	cd build && make install
+	#$(MAKE) DESTDIR=$(CURDIR)/debian/kanban install
+	cd build && $(MAKE) install
 
 
 # Build architecture-independent files here.

## kanban 0.7-1

=== debian/changelog ===
kanban (0.7-1) unstable; urgency=low

  * New icon
  * Improved UI descriptions
  * Solved some sync problems
  * Refactored the program into a library to make different UI ports possible (like the Plasmoid)
 
 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Sun, 26 Sep 2010 15:14:44 +0200

=== debian/control ===
Source: kanban
Section: user/utilities
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-dev (>= 2.6)
Standards-Version: 3.7.2

Package: kanban
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), libqt4-xml (>= 4.6)
Description: A program to keep track of your todo tasks efficiently (just-in-time)
 Kanban is a program that will help you track down all the issues that you have to do. It provides different lists suport so that you can have different things to track and multiple machine synchronization so that you don't lose your data when you work from different systems. That's right, you can have it also for GNU/Linux, Windows, MacOS X, a KDE plasmoid or almost whatever you use.
XSBC-Bugtracker: mailto:aleixpol@kde.org
XB-Maemo-Display-Name: Kanban
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAAC4AAAAwCAYAAABuZUjcAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACLQAAAi0B5Waf5AAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAidSURBVGiBvZp7bFPXHce/51w/4hexndhx
 Qp4kgbwIiIg3qGLQKu0opeo0sU3q1G1SJ03apE2DqNu0dgx1m1Y04iQdKwUF
 RrdFRS1oa7W1NAVUXml5FUgICSQmiZPYcexcx77Xvvee/UGTJsQOwbH5/nd+
 5/p3Pjr3d37n97NNGGNIlSorKzYuW179bO+tztrrt7tqA4GxgWT5ViXL0YQI
 IZoNG9f9INuR9WSNOb1KPn3GCkFsSiY0AJBk7XhJyaLq5SuWPx/xB57N9nit
 tqHhbB2A/0py3enh4X1JWWSK5g1eXV21ddmKZduF7p4Nmf1uS1k4lJlOKXWB
 hT6KSD874/EcSBLrNM0LvLGxodao0f7lwm9+vXAVxxkn7F2Kwp+UpJfPebz/
 SAplDCUM3tjY8ExBTs7e9rq6IlswqJmwtzMl0CpGvn9xxHc8aZQxlNDhbGhw
 bi1wOP7cvnNnoS0UmoT+UlFGPhHFHZd9ox8nDzG2Hhnc6azflmfL/NOtXXWF
 NiGsnbB/Icuek4Kw7aY/cD65iLH1SOD19fuey8mw/rH7lV8tyhRF9YT9vCK7
 W0Ph2ltjY9eSjxhbc47xhgbn83aj8fW+115bZI1EJqHPyLLrUz64uXt8vCtl
 lDE0J3Cns/6FTL1uz+Du3cWWqDT5lk7KUvepMX6jKxR2p5Qyhh4KXl+/71vW
 NO2ekd/vWZQuy5PQH8pSx8ej/tUjYmQs5ZQxNCu401m/YwFHX/W//oeSdEXh
 JuzHpejV94e9qxlj4mOhjKG44E7nvu/qJPm3wt69JUZFoQCggOE9Sbr472Hv
 esaY9FhJHxCNZXQ661/UipFXI2+8MQnNM6a0EPplp8WyE4DusVLG0Iwdb2hw
 vkT5sVdYQ2OxASBRMNam1ngGCw3MbAmSmgqL2s8T0ReEEBYoHwixgJ/HaEQx
 9Fkz7ZddPb2DHR2dl3me73ts4I2Nzh/J3pFdmv37i7UEpI1yo/dyLWL1Mln1
 1Eol47OrwsjmlbrMWI58vKK4BokoymohEFKJIwEmjocJzwtkzM/DL0hpfRm2
 rKu9va6Bzo7bX/A838fmUShNZonGxoaXI+7BnYaDB4s6QIKdOdbx8uUc+/Gy
 sD3TzHEAASHxHVlNlFpN0AGSDpgZ/r4gr/S7hwPqNcU0TGoEe+GT4g+3P+d9
 +/3jNQmDNzU1/CTk6v3FyOEjWbcdNre9SoPvVPKZJbmcBuC+fjrBDWJMlh0W
 Ml640Gpx+4SokvOM/9aHn6oXd3flJ+QQgKqpqfGnPVeu/NJ19ixUa/MCmysC
 6TVlkmEa8IQIZtnzeNBRUZemlTRpxgXdQ+aQqeTnIzeaj+qrzp2zXdTpEz4H
 9H9HjmyVR/0+fXWxsm7VEqI2Fkk37xJJlpPQGbFIyGDQQ5NmNNwYyPUvKN05
 cqO+yVR17pwNAKKUhBJ1rSo5f6F9Ky5UAUB3CycIBQVuuWyJ8MEl6GFSaaiB
 U+usGq3dymk8/E065AvLWVYa43VMF4U4pjdZDJRTcZf6qoZyl+wQ2n+3O7O8
 v98w8YxM5gEuA5GJQbEsa3HnjgN37qBsykNhAF0m0+jisiV812hB9yUd0xCT
 Wq0yUV2G3ajVa/x6JdxrLM4KaTVqAo6IAb0pYwFASdvAE67s/I3i3bq6/MVj
 Y9qpi0dAxhMGV6aAx5MOwFKeT0fb5+lomz7nIkT25+W508rL+FMmnTqih1ad
 rtalmdP40qXrRUOaVvDW7VpSEI3OKKEjYHzC4FFgXvVGPmNcvsuVAZcrY/EU
 exTA2bR3OVvuwvJySmLe0BGWODiV5gkeT2oAFlHQ2eOUFQAQkuRAIr7LysrS
 VNE5hEqiGiOUldH4GTQYjcYFLyoqUpeWlubl5GTZ9UaDTavRZqk0ajvHUdtT
 tZsHVZEUgkcIUdSzzPtEwb/l6S35eY6cLL3JYNdqNHY1p7ZRjtpffOl7Nr1O
 P+PjsiwrQwOeRlUkRaECAIwQebb5tPz8TWs3baogs9USD8g/Gjh/6NChLiqm
 cMdBadxbTFQYtBaz9CjQkiRFe/pd7wGASkghOJsF3CPLSk5h/pzyuN/vDw4P
 eTpA2dmWv7f0AwAV7meu1GiWg+kjRMlyOIS5uDGbzUaHI8t88K3mC5Ou+RTu
 OJmlMpBVKonSuJlymhRFYX1ud8vU+p3yKTychIsPJqu4WQ/uVA17PBeb326+
 PtVGx4DxVHW9jMSPFZnj5hSikUhE7O65e+xBO/UD3iAevc6eiyjHxfWrcKo5
 gXuHR06eePfEjLqdRgF/IFavlQzNEsSyij50Tf9ooK+jo/NErDkVAP9Xca5P
 nDC2SJziCgBESiOaOHOyLCtu99BH16/d+Fdra2vMzKNijIl7CUlJSqQ0doz3
 gET7chZ2lseY44NB9927vc1HDx+d9ZtfFQDMpSZPSNzMUIkwhk+slptV61Z7
 p9oVRWHDQ0OtVy5ff6e1tfWhnVFKwSmZCf6BXj9Q9cL2m1Nt46GQ516Pq/nQ
 ocOX5uo7peAEZNoNdEmtGScbN1ycGCuKwjzekTNdt7qPnjhx4pGaChUAuID+
 QiDXcb/+T5oI/bqJGKKc0l5c9Hlpfm4YAMLhsK9/oP/IW389eCG+h/i6/4UQ
 Y9/OI6RwJfDEIqDSClRkA2VF88w0lNzfcQVAa4a1vXTDugHGGLxe79nbfXeO
 HH/neEId0CQ4ANxjrAdAz8TYSEjmemBLGVBpB5bagIrFgDGGj7giuJ8OT5pM
 g0XbvnlNEML+e33uowf2H/gsUeAZ4A8qyJgXwD8nxlZCTCuA2nJgqR2oMAMV
 VYB5tiuXgtEOrTYUWrOqLer1XeztuXe4paXFN19oYB4/0BJCNGuAp5cClVlA
 ZTpQXg04pl4qJ/PzrP2V5ae0BQV73nzzb6eTATy5frL+hEAIIRXAN2qA5dlf
 vZH/5GQbs9as3XTs2DHvwz08mv4PrzC8/ox97xYAAAAASUVORK5CYII=
 ====
XB-Maemo-Upgrade-Description: New icon
 Improved UI descriptions
 Solved some sync problems
 Refactored the program into a library to make different UI ports possible (like the Plasmoid)

## kanban 0.7-2

=== CMakeLists.txt ===
project(kanban)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)
find_package(KDE4)

add_subdirectory(src)
add_subdirectory(icons)

=== icons/CMakeLists.txt ===
if(DEFINED MAEMO)
	set(type "hildon")
else(DEFINED MAEMO)
	set(type "apps")
endif(DEFINED MAEMO)

install(FILES hi16-kanban.png DESTINATION share/icons/hicolor/16x16/${type}/ RENAME kanban.png)
install(FILES hi32-kanban.png DESTINATION share/icons/hicolor/32x32/${type}/ RENAME kanban.png)
install(FILES hi64-kanban.png DESTINATION share/icons/hicolor/64x64/${type}/ RENAME kanban.png)
install(FILES hi48-kanban.png DESTINATION share/icons/hicolor/48x48/${type}/ RENAME kanban.png)
install(FILES hi128-kanban.png DESTINATION share/icons/hicolor/128x128/${type}/ RENAME kanban.png)
install(FILES kanban.svg DESTINATION share/icons/scalable/${type}/ RENAME kanban.svg)

=== src/CMakeLists.txt ===
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(tests)
add_subdirectory(app)
if(KDE4_FOUND)
	add_subdirectory(plasmoid)
endif(KDE4_FOUND)

set(kanbancommon_SRCS tasksmodel.cpp tasksview.cpp taskslistmerge.cpp mergedialog.cpp listsmanagement.cpp)
qt4_automoc(${kanbancommon_SRCS})

add_library(kanbancommon SHARED ${kanbancommon_SRCS})
target_link_libraries(kanbancommon ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})

install(TARGETS kanbancommon LIBRARY DESTINATION lib)

=== src/app/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(kanban_SRCS tasks.cpp main.cpp)
qt4_automoc(${kanban_SRCS})

add_executable(kanban ${kanban_SRCS})
target_link_libraries(kanban kanbancommon)

install(TARGETS kanban RUNTIME DESTINATION bin)

if(DEFINED MAEMO)
	install(FILES kanban.desktop DESTINATION share/applications/hildon)
else(DEFINED MAEMO)
	install(FILES kanban.desktop DESTINATION share/applications)
endif(DEFINED MAEMO)

=== src/plasmoid/CMakeLists.txt ===

# add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
set(kanbanplasmoid_SRCS kanbanplasmoid.cpp)

kde4_add_ui_files(kanbanplasmoid_SRCS config.ui)
kde4_add_plugin(kanbanplasmoid ${kanbanplasmoid_SRCS})
target_link_libraries(kanbanplasmoid ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kanbancommon)

install(TARGETS kanbanplasmoid DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kanbanplasmoid.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
set(mergetest_SRCS mergetaskslisttest.cpp)
qt4_automoc(${mergetest_SRCS})

add_executable(mergetest ${mergetest_SRCS})
target_link_libraries(mergetest ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY} kanbancommon)

=== debian/changelog ===
kanban (0.7-2) unstable; urgency=low

  * Maemo icon fixed

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Wed, 29 Sep 2010 23:51:51 +0200

=== debian/control ===
Source: kanban
Section: user/utilities
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-dev (>= 2.6)
Standards-Version: 3.7.2

Package: kanban
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), libqt4-xml (>= 4.6)
Description: A program to keep track of your todo tasks efficiently (just-in-time)
 Kanban is a program that will help you track down all the issues that you have to do. It provides different lists suport so that you can have different things to track and multiple machine synchronization so that you don't lose your data when you work from different systems. That's right, you can have it also for GNU/Linux, Windows, MacOS X, a KDE plasmoid or almost whatever you use.
XSBC-Bugtracker: mailto:aleixpol@kde.org
XB-Maemo-Display-Name: Kanban
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAACYAAAAoCAYAAACSN4jeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAABzwAAAc8B4QwQxwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAbQSURBVFiFvZhtTFvXGcf/59xr/HYxb8Yx
 L1EI2VJiGNsKWYKhuxJNO9ogbdrSdKjNkq6L+mHSNKQNkKKNoUnbRNUPiyJV
 mzQtHS5kdK3SJCxrWCMle5G6LFFLR7SU8mY7IGwMxjbY1z73nn0gZIQ4YIPp
 I9nSeez73N95nv+5z7mHcM6RCSOEGA49/eQxQYkf9Xg8E8Oj4ye3FG+rYHv3
 fr6y9is13wrcuXOkfCFcODofdA/OBuo459pnDkYIIfVPOL9ZkGN5zuCdqrH5
 Zm3V0CyXmXr1nRnfk1sB2jSYLMtS3cEDf5y6cKG6PBjcUUapLgHOLzH18rsz
 vsOZgAIAmi7UKye/1yd9NLS/MRQqLaNUp3Dwd5l6PpNQQBoZk2VZOvnyd3sn
 e1x1JbeHrQCwxDXtYkLtv+z3t2QSKmUwWZall08c7/O6eg4W//eOFQAinKsX
 GOu54vO/lGmolMBkWZZeOn6s725PT13JJyMFABDkGhtg6m8Hff7vbwfUhmCy
 LEvHX3yhb8rV4yz9dDQfAAKcJ/7M1NPv+3w/2i6odcFkWZaOtXy7b9rlatg5
 Pp4LAD6uxf/C2C+v+mZ/tp1QjwSTZVl64fmjfT6Xq6F0cjIXAKY5Vy4nEj+9
 7p/t3m6opGCyLEstzx3pD7hc9SUejwUA3JxH32Os7R8+/5nPAuohMKfTmf2d
 luf751xv1hd7vdkqOP5OhcBIPhZ3FOeOzYX5XDSu90iW/I8mJibGR0dHP+Cc
 R7cVzOl0Zr949Mhbod5ep/3uVPa/gIXxIkP8qw06nabF2KH9JisABMKq5p0h
 sWgiS/HN8/jCIqJLihAORXkwHCFzimpy5+QX3JwY80wODQ3d4JwvbhqsqanJ
 cvjpQ2+F3+x1Bqen6cdWY7j6oIE+c0C1GvWUXP33UqCxxlSQSsC5iKZ5ZogS
 VWgohkI6HysOVX3pKXfPq68NvPef4ddSBRObmposzx5qfHvk7Nn9noQSKWq0
 4pX9cWtRARf/37E4STVgvkSpVVLiZkuBbWTGFOV5zcr87/5wII/jRqoxAECs
 rnScHzx3zpFbTpe+UUvzKsqYYW0LJUiNi3PORSERMmcX5nzoKQkarEcikV+f
 sZX5/VkhVZtPC8z9+7O+Z2oeN3riqumT27qFUa+g1+dkGWz5xEAUt7m8eDEL
 wIZ9i3NV0+sQMZitOf8c2+fPyZOjSverxaWRiAgA04uLc2mB7Z6fDzn++v4u
 xyqnApBRszkgVjw2ds1i14WNXBwIGWfFbFFfWCQZjDRgyBa9UmkhEZehWNxg
 EBNZeovl+ljdXZOwOy50d+8qYIwCQFTV4FkIjaYFpgLKWqce4I7FRTNu3jLv
 XfOblxA1uHOnd/5z5bFbJioKuToRkmDOtUmGwrJanzYb5AX9Z8qNq6o/o2la
 IBodSgtMA+LpXFDKOS11uwvgdj/gXwLIO+YB0lJStJuukWRIoIxz7k8LjKUJ
 9igzAdzOGEm289QEMZFKjK6uLtFoNNoYY/mimiEwACCUJl0kqiDcv0dXVxfV
 6XSFgiDYOU0UAdROwO0AsetNohVQqSDgvJgAWKbAOE2+U2eikPhV9y9+TEHs
 BpPORkAEQAOBsDKle98EGnjYvqP4gsiSiH+zRoXkYKooqDpCvrxy8/WMg1w8
 ceJETIxnsJScrpX9sml0Y41pHH5C6dX4YuwKAFAlgxkDFZK6mUg3nDwh3MoU
 9mFnZ2ccAGgCSGnFpGJESJ4xJogb65ho10+dOjW5MqTxTGaMJFc/E+i6k+eU
 K5yJ/at9YiyDGqNC0scYEoKwbsYIyEB7R8cDTV6MZbCUlCbPWII+upQc2kgs
 wi6t9YuhDIIlK2WMg8cl48O7WAIGDX+KRdmlzs7Oh06GxFAmn2P04WU5aJEm
 9tTXT6/2capNgomvt7e3u9f+/z7YEhBmAMRMgJEHNXYjKytk+tpTt1bGGjQN
 wEUlwt7u7Dy1ru7EIDAXAUhuCpvBjYwQcj9jdwllE459H5Tl5i0vLo5pvU54
 vbW149NUYokJYOYacPMxYG8FIG0NbLn5qQD+ZrUO76mtmeXgnHB+xeudOXf6
 9OmUZSNyzoMAmi2E5NYCz1YAlYWAoxBwVAHZ6YBREAIAgybT1J6vN9/m4LPQ
 1N+0tf9kOJ04wCpphZYBe1fGhBBzA3C4CqiyAZV5gKMayFnvpI8Awseibgny
 Ezc0rl3X60xvtLa2buqF+JGav/ei2n/vA0JIVh3QXAVU2oCKHGDfFwF71qpr
 5lRGguW7r+2yl/68o63j5maAVmzTp9aEEOIAGg8AjxcDjhzgCxdLinTNP/hh
 Q1tbW3grUADwP4wK9UhhFL6KAAAAAElFTkSuQmCC
 ====
XB-Maemo-Upgrade-Description: New icon
 Improved UI descriptions
 Solved some sync problems
 Refactored the program into a library to make different UI ports possible (like the Plasmoid)

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	#$(MAKE)
+	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kanban/usr -DCMAKE_BUILD_TYPE=Release -DMAEMO=true && $(MAKE)
 	#docbook-to-man debian/kanban.sgml > kanban.1
-	mkdir build && cd build && cmake ../ -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kanban/usr && $(MAKE)
+
 	touch $@
 
 clean:
@@ -47,7 +47,7 @@
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
 	rm -rf build
-	
+
 	dh_clean 
 
 install: build
@@ -70,9 +70,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
-	dh_install
+#	dh_installdocs
+#	dh_installexamples
+#	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate

## kanban tui-0.8.1

=== Makefile ===
MAKE               := make --no-print-directory
RUN 			   := uv run

DESCRIBE           := $(shell git describe --match "v*" --always --tags)
DESCRIBE_PARTS     := $(subst -, ,$(DESCRIBE))

VERSION_TAG        := $(word 1,$(DESCRIBE_PARTS))
COMMITS_SINCE_TAG  := $(word 2,$(DESCRIBE_PARTS))

VERSION            := $(subst v,,$(VERSION_TAG))
VERSION_PARTS      := $(subst ., ,$(VERSION))

MAJOR              := $(word 1,$(VERSION_PARTS))
MINOR              := $(word 2,$(VERSION_PARTS))
MICRO              := $(word 3,$(VERSION_PARTS))

NEXT_MAJOR         := $(shell echo $$(($(MAJOR)+1)))
NEXT_MINOR         := $(shell echo $$(($(MINOR)+1)))
NEXT_MICRO         := $(shell echo $$(($(MICRO)+1)))

# most of it found here
# https://gist.github.com/grihabor/4a750b9d82c9aa55d5276bd5503829be
# -- Increment Tags ---
.PHONY: micro
micro:
	@echo "v$(MAJOR).$(MINOR).$(NEXT_MICRO)"
	# git tag "v$(MAJOR).$(MINOR).$(NEXT_MICRO)"

.PHONY: minor
minor:
	@echo "v$(MAJOR).$(NEXT_MINOR).0"
	# git tag  "v$(MAJOR).$(NEXT_MINOR).0"

.PHONY: major
major:
	@echo "v$(NEXT_MAJOR).0.0"
	# git tag  "v$(NEXT_MAJOR).0.0"


# -- Testing ---
.PHONY: test
test:
	$(RUN) pytest $(ARGS)

#.PHONY: seed
#seed:
#	$(run) python tools/seed.py
